> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypulse.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# Get checkout session



## OpenAPI

````yaml GET /api/v1/checkout/sessions/{code}
openapi: 3.1.0
info:
  title: Paypulse
  description: Subscription billing platform with Nomba payment integration
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/checkout/sessions/{code}:
    get:
      tags:
        - checkout
      summary: Get Checkout Session
      operationId: get_checkout_session_api_v1_checkout_sessions__code__get
      parameters:
        - name: code
          in: path
          required: true
          schema:
            type: string
            title: Code
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutSessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CheckoutSessionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        code:
          type: string
          title: Code
        checkout_url:
          type: string
          title: Checkout Url
        status:
          $ref: '#/components/schemas/CheckoutStatus'
        expires_at:
          type: string
          format: date-time
          title: Expires At
        plan_id:
          type: string
          format: uuid
          title: Plan Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - code
        - checkout_url
        - status
        - expires_at
        - plan_id
        - created_at
      title: CheckoutSessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CheckoutStatus:
      type: string
      enum:
        - PENDING
        - COMPLETED
        - EXPIRED
        - CANCELLED
      title: CheckoutStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````